Bug 1121351 - [abrt] gnome-music: widgets.py:525:__init__:TypeError: Argument 1 does not allow None as a value
Summary: [abrt] gnome-music: widgets.py:525:__init__:TypeError: Argument 1 does not al...
Keywords:
Status: CLOSED EOL
Alias: None
Product: Fedora
Classification: Fedora
Component: gnome-music
Version: 20
Hardware: x86_64
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: gnome-sig
QA Contact: Fedora Extras Quality Assurance
URL: https://retrace.fedoraproject.org/faf...
Whiteboard: abrt_hash:b660a210a6c1ffbbc04562303fe...
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2014-07-19 16:08 UTC by Ricardo Ramos
Modified: 2015-06-29 21:39 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2015-06-29 21:39:09 UTC


Attachments (Terms of Use)
File: backtrace (1.16 KB, text/plain)
2014-07-19 16:08 UTC, Ricardo Ramos
no flags Details
File: environ (2.33 KB, text/plain)
2014-07-19 16:08 UTC, Ricardo Ramos
no flags Details

Description Ricardo Ramos 2014-07-19 16:08:26 UTC
Description of problem:
I was browsing the music when it crashed.

Version-Release number of selected component:
gnome-music-3.10.4-1.fc20

Additional info:
reporter:       libreport-2.2.2
cmdline:        python3 /usr/bin/gnome-music
executable:     /usr/bin/gnome-music
kernel:         3.15.4-200.fc20.x86_64
runlevel:       N 5
type:           Python3
uid:            1000

Truncated backtrace:
widgets.py:525:__init__:TypeError: Argument 1 does not allow None as a value

Traceback (most recent call last):
  File "/usr/lib/python3.3/site-packages/gnomemusic/grilo.py", line 106, in _callback
    callback(source, param, item)
  File "/usr/lib/python3.3/site-packages/gnomemusic/widgets.py", line 504, in add_item
    self.add_album(item)
  File "/usr/lib/python3.3/site-packages/gnomemusic/widgets.py", line 393, in add_album
    widget = ArtistAlbumWidget(album, self.player, self.model)
  File "/usr/lib/python3.3/site-packages/gnomemusic/widgets.py", line 525, in __init__
    self.ui.get_object('title').set_label(album.get_title())
TypeError: Argument 1 does not allow None as a value

Local variables in innermost frame:
self: <ArtistAlbumWidget object at 0x7f26ac0180f0 (gnomemusic+widgets+ArtistAlbumWidget at 0x302a570)>
player: <Player object at 0x7f26b9a7c910 (gnomemusic+player+Player at 0x2551460)>
album: <MediaBox object at 0x7f26ac037aa0 (GrlMediaBox at 0x303a5d0)>
pixbuf: <Pixbuf object at 0x7f26ac0424b0 (GdkPixbuf at 0x26db990)>
model: <ListStore object at 0x7f26ac0420a0 (GtkListStore at 0x7f26a8002aa0)>
__class__: <class 'gnomemusic.widgets.ArtistAlbumWidget'>

Comment 1 Ricardo Ramos 2014-07-19 16:08:29 UTC
Created attachment 919292 [details]
File: backtrace

Comment 2 Ricardo Ramos 2014-07-19 16:08:30 UTC
Created attachment 919293 [details]
File: environ

Comment 3 Fedora Admin XMLRPC Client 2014-12-02 14:23:39 UTC
This package has changed ownership in the Fedora Package Database.  Reassigning to the new owner of this component.

Comment 4 Fedora End Of Life 2015-05-29 12:24:55 UTC
This message is a reminder that Fedora 20 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 20. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '20'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 20 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

Comment 5 Fedora End Of Life 2015-06-29 21:39:09 UTC
Fedora 20 changed to end-of-life (EOL) status on 2015-06-23. Fedora 20 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.


Note You need to log in before you can comment on or make changes to this bug.